Name: wpa_supplicant
Version: 0.3.9
Release: alt2
License: GPL/BSD
Group: Security/Networking
Summary: wpa_supplicant is an implementation of the WPA Supplicant component
Url: http://hostap.epitest.fi/
Source0: %name-%version.tar.gz
Source1: %name.sysconfig
Source2: %name.init
Source3: %name.config

Patch1: %name-driver_ipw.c.patch

PreReq: coreutils
PreReq: modutils

# Automatically added by buildreq on Thu Oct 07 2004
BuildRequires: libssl-devel

%description
wpa_supplicant is an implementation of the WPA Supplicant component,
i.e., the part that runs in the client stations. It implements WPA key
negotiation with a WPA Authenticator and EAP authentication with
Authentication Server. In addition, it controls the roaming and IEEE
802.11 authentication/association of the wlan driver.

wpa_supplicant is designed to be a "daemon" program that runs in the
background and acts as the backend component controlling the wireless
connection. wpa_supplicant supports separate frontend programs and an
example text-based frontend, wpa_cli, is included with wpa_supplicant.

%prep

%setup -q
%patch1

%build
%__cp %SOURCE3 .config
%make_build

%install
mkdir -p %buildroot%_initdir
mkdir -p %buildroot%_sysconfdir/sysconfig
mkdir -p %buildroot%_sbindir

%__install %SOURCE1		%buildroot%_sysconfdir/sysconfig/%name
%__install %SOURCE2		%buildroot%_initdir/%name

%__install %name		%buildroot%_sbindir
%__install wpa_cli		%buildroot%_sbindir
%__install wpa_passphrase	%buildroot%_sbindir
%__install %name.conf		%buildroot%_sysconfdir

%files
%config(noreplace) %attr(0600,root,root) %_sysconfdir/%name.conf
%config(noreplace) %attr(0600,root,root) %_sysconfdir/sysconfig/*
%config %_initdir/%name
%_sbindir/*
%doc COPYING README ChangeLog

%changelog
* Sat Jul 02 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.9-alt2
- fix ipw2100/ipw2200 drivers

* Tue Jun 14 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.9-alt1
- 0.3.9

* Sun May 15 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.8-alt3
- change RPM group to "Security/Networking"

* Fri Apr 22 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.8-alt2
- Add support: 
	* CTRL_IFACE
	* XSUPPLICANT_IFACE
	* PKCS12
	* DRIVER_IPW
	* EAP_AKA
	* EAP_PSK

* Wed Mar 16 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.8-alt1
- 0.3.8

* Wed Feb 16 2005 Alexei Takaseev <taf@altlinux.ru> 0.2.7-alt1
- 0.2.7

* Tue Jan 04 2005 Alexei Takaseev <taf@altlinux.ru> 0.2.6-alt1
- 0.2.6

* Thu Oct 07 2004 Alexei Takaseev <taf@altlinux.ru> 0.2.5-alt1
- first build for ALT Sisyphus
